PHP, which is a recursive abbreviation for PHP: Hypertext Preprocessor, is amongst the most widely used interpreted programming languages out there. Any website or web app written in PHP will run on a given server as long as a PHP module is installed, which renders the language truly universal and it’s barely surprising that there are a couple of million servers that support it and hundreds of millions of PHP websites hosted on them. PHP is preferred over HTML thanks to the fact that it enables you to develop a responsive website with plenty of features. A PHP-based community site, for example, will display different web content to each visitor although the page URL won’t change. By contrast, HTML websites are static and the page content itself can be modified only manually. Like any other software, PHP has different versions and the one that was used whilst building a particular website must be enabled on the web server so that the site can run correctly.
PHP 4, PHP 5 and PHP 7 Support in Hosting
With our hosting, you’ll be able to select which PHP version will be active for your shared web hosting account, since different versions are activated on our servers. With only one click of the mouse, you’ll be able to switch between PHP 4, 5, 7 and whenever a new version is unveiled in the future, we will add it to the Hepsia hosting Control Panel without removing the older versions. In this way, you’ll be able to host all the websites that you’ve developed through the years. In stark contrast to a lot of other web hosting suppliers, we won’t compel you to update such websites, because a script may be outdated, but this doesn’t automatically mean that it’s vulnerable since you may have implemented modifications to its source code to prevent safety breaches. For the sake of your convenience, you’ll even be able to pick a different PHP version for each individual site that you host in your account.
PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting
In case you have a website built on an older version of PHP and you have spent time and efforts on setting it up, patching security loopholes and embedding page content, you will need a hosting service that can support it, as the great majority of hosting companies today support only the most recent PHP version and abandon the older versions. We, however, have decided to let you choose the exact version that your own sites require. Our semi-dedicated hosting support PHP 4, PHP 5 and PHP 7, which goes to say that you will be able to use both older and newer scripts without forfeiting any manual settings or wasting time striving to make your websites compatible with the hosting platform. The current version can be changed via the Hepsia Control Panel and such a change will affect the whole semi-dedicated account, but you’ll also be able to specify a different PHP version for each individual site hosted in your account by means of an .htaccess configuration file.